## Apache Zeta Components Manual :: Docs For Class ezcCacheMemoryBackend

### Cache::ezcCacheMemoryBackend

### Class ezcCacheMemoryBackend

An abstract class defining the required methods for memory handlers.

Implemented in:

- ezcCacheApcBackend
- ezcCacheMemcacheBackend

Source for this file: /Cache/src/backends/memory_backend.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcCacheMemcacheBackend | This backend stores data in a Memcache.
ezcCacheApcBackend | This backend stores data in an APC cache.

### Method Summary

public abstract bool | `delete( $key )` Deletes the data associated with key $key.
public abstract mixed | `fetch( $key )` Fetches the data associated with key $key.
public abstract bool | `store( $key , $var , [ $ttl = 0] )` Stores the data $var under the key $key.

### Methods

#### delete

bool delete( string $key )

Deletes the data associated with key $key.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcCacheMemcacheBackend::delete()` | Deletes the data from the cache associated with key $key. Returns true or false depending on the success of the operation.
`ezcCacheApcBackend::delete()` | Deletes the data associated with key $key. Returns true or false depending on the success of the operation.

#### fetch

mixed fetch( string $key )

Fetches the data associated with key $key.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcCacheMemcacheBackend::fetch()` | Returns the data from the cache associated with key $key.
`ezcCacheApcBackend::fetch()` | Fetches the data associated with key $key.

#### store

bool store( string $key , mixed $var , [int $ttl = 0] )

Stores the data $var under the key $key.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |
`$var` | mixed |
`$ttl` | int |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcCacheMemcacheBackend::store()` | Adds the $var data to the cache under the key $key. Returns true or false depending on the success of the operation.
`ezcCacheApcBackend::store()` | Stores the data $var under the key $key. Returns true or false depending on the success of the operation.

Documentation generated by phpDocumentor 1.4.3